package com.pjilisense.flxai.controller;

import com.pjilisense.flxai.base.constant.Constant;
import com.pjilisense.flxai.dto.DigitalImgDTO;
import com.pjilisense.flxai.page.PageData;
import com.pjilisense.flxai.utils.Result;
import com.pjilisense.flxai.dto.VoiceRefFilesDTO;
import com.pjilisense.flxai.service.VoiceRefFilesService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;


/**
 * 音频参考文件
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2025-02-28
 */
@RestController
@RequestMapping(Constant.BASE_PATH+"voicereffiles")
@Api(tags="音频参考文件")
public class VoiceRefFilesController {

    private static Logger logger = LoggerFactory.getLogger(VoiceRefFilesController.class);

    @Autowired
    private VoiceRefFilesService voiceRefFilesService;

    @GetMapping("page")
    @ApiOperation("分页")
    @ApiImplicitParams({
        @ApiImplicitParam(name = Constant.PAGE, value = "当前页码，从1开始", paramType = "query", required = true, dataType="Integer", dataTypeClass =Integer.class) ,
        @ApiImplicitParam(name = Constant.LIMIT, value = "每页显示记录数", paramType = "query",required = true, dataType="Integer", dataTypeClass =Integer.class) ,
        @ApiImplicitParam(name = Constant.ORDER_FIELD, value = "排序字段", paramType = "query", dataType="String", dataTypeClass =String.class) ,
        @ApiImplicitParam(name = Constant.ORDER, value = "排序方式，可选值(asc、desc)", paramType = "query", dataType="String", dataTypeClass =String.class)
    })
    public Result<PageData<VoiceRefFilesDTO>> page(@ApiIgnore @RequestParam Map<String, Object> params){
        PageData<VoiceRefFilesDTO> page = voiceRefFilesService.page(params);

        return new Result<PageData<VoiceRefFilesDTO>>().ok(page);
    }
    @PostMapping("queryAll")
    @ApiOperation("根据类型获取全部数据")
    public Result<List<VoiceRefFilesDTO>> queryAll(@RequestBody VoiceRefFilesDTO dto) {
        List<VoiceRefFilesDTO> page = voiceRefFilesService.getAll(dto);
        return new Result<List<VoiceRefFilesDTO>>().ok(page);
    }
    @GetMapping("{id}")
    @ApiOperation("信息")
    public Result<VoiceRefFilesDTO> get(@PathVariable("id") String id){
        VoiceRefFilesDTO data = voiceRefFilesService.get(id);

        return new Result<VoiceRefFilesDTO>().ok(data);
    }

    @PostMapping
    @ApiOperation("保存")
    public Result save(@RequestBody VoiceRefFilesDTO dto){

        voiceRefFilesService.save(dto);

        return new Result();
    }

    @PutMapping
    @ApiOperation("修改")
    public Result update(@RequestBody VoiceRefFilesDTO dto){

        voiceRefFilesService.update(dto);

        return new Result();
    }

    @DeleteMapping
    @ApiOperation("删除")
    public Result delete(@RequestBody String[] ids){

        voiceRefFilesService.delete(ids);

        return new Result();
    }


}